
Robotics Service Bus - Bug #487
Converters for fundamental types are not implemented [Python]
08/08/2011 03:59 AM - J. Moringen

Status: Resolved Start date: 08/08/2011
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Python Estimated time: 0.00 hour
Target version: rsb-0.9
Description

Despite what [[Types|this]] description suggests.

Associated revisions
Revision 3299257d - 09/14/2011 10:10 PM - J. Moringen
Added Uint64Converter in rsb/transport/converter.py
refs #487
    -  rsb/transport/converter.py: added class Uint64Converter; register

  Uint64Converter
    -  test/convertertest.py: added minimal unit test for Uint64Converter

Revision 9c8846e2 - 02/13/2013 02:14 PM - J. Wienke

Add converter for uint32.

refs #487

Revision e2356fa9 - 04/04/2013 05:14 PM - J. Moringen

Added missing converters for fundamental types in rsb/converter.py

fixes #487

    -  rsb/converter.py (header): updated copyright
  (makeStructBasedConverter): new function; dynamically construct
  converter class which uses struct.[un]pack
  (Uint64Converter): removed
  (Uint32Converter): likewise

    -  test/convertertest.py (header): updated copyright
  (makeStructBasedConverterTest): new function; dynamically construct
  test case for struct-based converter
  (suite): use makeStructBasedConverterTest

Revision 9a99f312 - 06/16/2016 07:26 PM - J. Moringen

Added ScopeConverter class in rsb/converter.py

refs #487
    -  rsb/converter.py (header): updated copyright
  (ScopeConverter): new class; (de)serializes Scope objects

    -  test/converter_test.py (header): updated copyright
  (ScopeConverterTest): new class; test case for ScopeConverter class

Revision ed98e4a9 - 06/16/2016 07:36 PM - J. Moringen

Mention new Python ScopeConverter in news.rst

refs #487

    -  news.rst (RSB 0.15): mention new Python ScopeConverter

Revision 41a9bfcf - 11/04/2016 05:20 PM - J. Moringen

Register ScopeConverter in rsb/converter.py

refs #487

    -  rsb/converter.py (toplevel): register ScopeConverter

History
#1 - 09/14/2011 10:02 PM - J. Moringen
- Status changed from New to In Progress
- Assignee changed from J. Wienke to J. Moringen

#2 - 01/21/2013 08:11 PM - J. Moringen
- % Done changed from 0 to 30

#3 - 02/13/2013 02:02 PM - J. Wienke
- Target version changed from rsb-0.10 to rsb-0.9

uint32 is missing

#4 - 04/04/2013 05:20 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 30 to 100

Applied in changeset rsb-python|commit:e2356fa9b9991ba04706f64f78228711e66350c8.

#5 - 04/04/2013 05:30 PM - J. Moringen
- Subject changed from Converters for Fundamental Types are not Implemented to Converters for fundamental types are not implemented

#6 - 06/16/2016 06:47 PM - J. Moringen
- Subject changed from Converters for fundamental types are not implemented to Converters for fundamental types are not implemented [Python]
